Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
direct Struct Reference

`#include <dir.h>`

## Data Fields
long | d_namlen
ino_t | d_ino
char * | d_name
char * | d_altname
short | d_altlen
uint8_t | d_type

## Detailed Description

Definition at line 9 of file dir.h.

## Field Documentation

## ◆ d_altlen

short direct::d_altlen

Definition at line 15 of file dir.h.

## ◆ d_altname

char* direct::d_altname

Definition at line 14 of file dir.h.

Referenced by rb_w32_closedir().

## ◆ d_ino

ino_t direct::d_ino

Definition at line 12 of file dir.h.

## ◆ d_name

char* direct::d_name

Definition at line 13 of file dir.h.

Referenced by rb_w32_closedir().

## ◆ d_namlen

long direct::d_namlen

Definition at line 11 of file dir.h.

## ◆ d_type

uint8_t direct::d_type

Definition at line 16 of file dir.h.

The documentation for this struct was generated from the following file:

- win32/dir.h